| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_linrcverror2 Struct Reference

Header for a BLF LIN receive error event object (version 2). More...

`#include <blf.h>`

## Public Attributes
blf_lindatabytetimestampevent_t | linDataByteTimestampEvent
uint8_t | data [8]
uint8_t | fsmId
uint8_t | fsmState
uint8_t | stateReason
uint8_t | offendingByte
uint8_t | shortError
uint8_t | timeoutDuringDlcDetection
uint8_t | isEtf
uint8_t | hasDataBytes

## Detailed Description

Header for a BLF LIN receive error event object (version 2).

## Member Data Documentation

## ◆ data

uint8_t blf_linrcverror2::data[8]

Payload bytes captured before the receive error occurred.

## ◆ fsmId

uint8_t blf_linrcverror2::fsmId

Finite state machine instance identifier (obsolete).

## ◆ fsmState

uint8_t blf_linrcverror2::fsmState

Finite state machine state at time of capture (obsolete).

## ◆ hasDataBytes

uint8_t blf_linrcverror2::hasDataBytes

Non-zero if valid data bytes were captured before the error.

## ◆ isEtf

uint8_t blf_linrcverror2::isEtf

Non-zero if the error occurred within an event-triggered frame.

## ◆ linDataByteTimestampEvent

blf_lindatabytetimestampevent_t blf_linrcverror2::linDataByteTimestampEvent

Data byte timestamp event carrying sync, descriptor, and per-byte timestamps.

## ◆ offendingByte

uint8_t blf_linrcverror2::offendingByte

Value of the byte that caused the receive error, if applicable.

## ◆ shortError

uint8_t blf_linrcverror2::shortError

Non-zero if a short (dominant) error was detected on the bus.

## ◆ stateReason

uint8_t blf_linrcverror2::stateReason

Reason code describing why the receive error state was entered.

## ◆ timeoutDuringDlcDetection

uint8_t blf_linrcverror2::timeoutDuringDlcDetection

Non-zero if a timeout occurred while detecting the DLC.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h